import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class KyberswapElasticContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    factory({ address, network }: ContractOpts): import("./ethers").Factory;
    kyberswapElasticLm({ address, network }: ContractOpts): import("./ethers").KyberswapElasticLm;
    pool({ address, network }: ContractOpts): import("./ethers").Pool;
    positionManager({ address, network }: ContractOpts): import("./ethers").PositionManager;
    tickReader({ address, network }: ContractOpts): import("./ethers").TickReader;
}
export type { Factory } from './ethers';
export type { KyberswapElasticLm } from './ethers';
export type { Pool } from './ethers';
export type { PositionManager } from './ethers';
export type { TickReader } from './ethers';
